### Method

# RB RhythmDB do_full_query_async

#### Declaration [src]

    void
    rhythmdb_do_full_query_async (
      RhythmDB* db,
      RhythmDBQueryResults* results,
      ...
    )

#### Description [src]

Asynchronously runs a query specified in the function arguments across the database, feeding matching entries to `results` in chunks. This can only be called from the main thread.

Since `results` is always a `RhythmDBQueryModel`, use the RhythmDBQueryModel::complete signal to identify when the query is complete.

FIXME: example.

This method is not directly available to language bindings.

#### Parameters

`results`

  Type: `RhythmDBQueryResults`

  A `RhythmDBQueryResults` to feed results to.

  The data is owned by the caller of the method.

`...`

  Type: ``

  Query parameters.